Bug 625004 - usb_modeswitch-1.2.0 is available
Summary: usb_modeswitch-1.2.0 is available
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: usb_modeswitch (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: mail@romal.de
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-18 10:33 UTC by Upstream Release Monitoring
Modified: 2011-11-05 01:32 UTC (History)
2 users (show)

Fixed In Version: usb_modeswitch-data-20111023-1.fc16
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-04 20:28:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2010-08-18 10:33:19 UTC
Latest upstream release: 1.1.4
Current version in Fedora Rawhide: 1.1.3
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 1 Account closed by user 2010-11-27 15:03:47 UTC
1.1.4 already in Fedora

Comment 2 Upstream Release Monitoring 2010-12-01 20:21:28 UTC
Latest upstream release: 1.1.5
Current version in Fedora Rawhide: 1.1.4
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 3 Account closed by user 2010-12-01 20:27:21 UTC
Version 1.1.5, 2010/11/28

    Added special control message for Kobil devices (patch from Filip Aben);
    try to get active configuration for interface class checking (there are
    some new devices 'switching' via configuration selection);
    fixed "0000" target product ID - again; new bash and tcl wrapper logic:
    the convenience functions for driver binding and symlinking will now
    start the tcl shell ONLY for known devices; changed and appended logging
    capabilities of said convenience functions; add loading of "usbserial"
    as a fallback for older systems to support new devices;
    add workaround for bug in libusb1 which affects device search during
    success check

Comment 4 Upstream Release Monitoring 2010-12-25 12:23:38 UTC
Latest upstream release: 1.1.6
Current version in Fedora Rawhide: 1.1.4
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Account closed by user 2011-01-04 16:19:03 UTC
please, fc14 update

Comment 6 Upstream Release Monitoring 2011-02-27 12:52:30 UTC
Latest upstream release: 1.1.7-jimsh
Current version in Fedora Rawhide: 1.1.6
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 7 Account closed by user 2011-02-28 13:07:58 UTC
Version 1.1.7, 2011/02/27
  
    Attention: paths for runtime files and database have changed! Old places
    will be found but are deprecated; /usr/share/usb_modeswitch for database,
    /var/lib/usb_modeswitch for "remembered" IDs;
    fix for configuration setting race (thanks to Amit Mendapara); discovered
    incompatibility between Tcl versions <= 8.3 and >=8.4, so 8.4 is the
    minimum prerequisite now;
    first availability of an alternative source pack which includes "jimsh",
    a fast Tcl mini shell, intended for resource-constrained systems

Comment 8 Account closed by user 2011-03-11 20:38:32 UTC
ping!

Any chance of having 1.0.21 in f-15 ?

Comment 9 Upstream Release Monitoring 2011-06-20 10:47:10 UTC
Latest upstream release: 1.1.8-jimsh
Current version in Fedora Rawhide: 1.1.7
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 10 Account closed by user 2011-07-02 10:22:04 UTC
Version 1.1.8, 2011/06/19

    Cleaned up switchSendMessage(); added workaround for quirky devices not
    reporting configuration setting; added non-CSW response for arbitrary
    bulk transfers; added SequansMode and MobileActionMode; check for active
    configuration will be skipped if bNumConfigurations is 1 (most cases)

Comment 11 Account closed by user 2011-07-19 23:53:51 UTC
ping!

Comment 12 Account closed by user 2011-07-26 12:54:30 UTC
Can anyone update this package ?

A lot of 3G-modems are in trouble:

https://bugzilla.redhat.com/show_bug.cgi?id=697122#c5
https://bugzilla.redhat.com/show_bug.cgi?id=720634
https://bugzilla.redhat.com/show_bug.cgi?id=723069

-thanks-

Comment 13 Account closed by user 2011-08-04 20:59:37 UTC
Is the maintainer alive?

pong!

Comment 14 Account closed by user 2011-08-06 12:49:29 UTC
Version 1.1.9, 2011/08/05

    Added CiscoMode for Valet device; additional checking for CDC ACM device
    to prevent erroneous driver loading after switching; no more post-switch
    check for access to initial device if target parameters are given

Comment 15 Upstream Release Monitoring 2011-08-07 10:56:46 UTC
Latest upstream release: 1.1.9
Current version in Fedora Rawhide: 1.1.7
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 16 Upstream Release Monitoring 2011-08-08 10:52:32 UTC
Latest upstream release: 1.1.9-jimsh
Current version in Fedora Rawhide: 1.1.7
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 17 Account closed by user 2011-08-11 14:21:34 UTC
Testing usb_modeswitch-1.1.9-2 since 08-Aug in Fedora 15, and it works flawlessly.

Please also build fc15 and fc16 updates.

-thanks-

Comment 18 mail@romal.de 2011-08-11 14:26:18 UTC
I'm waiting for cvs commit rights to update usb_modeswitch-data.

I don't think it's a good idea to mix releases.

Comment 19 Account closed by user 2011-08-11 14:38:57 UTC
(In reply to comment #18)

> I'm waiting for cvs commit rights to update usb_modeswitch-data.
> 
> I don't think it's a good idea to mix releases.


In *my* computer I built latest packages, 1.1.9 and 20110805:

usb_modeswitch-1.1.9-2.fc15.i686

usb_modeswitch-data-20110805-1.fc15.noarch

Comment 20 Account closed by user 2011-08-20 12:24:09 UTC
(In reply to comment #18)

> I'm waiting for cvs commit rights to update usb_modeswitch-data.

any news ?

-thanks-

Comment 21 Account closed by user 2011-10-04 10:07:26 UTC
ping!

Comment 22 Upstream Release Monitoring 2011-10-24 11:09:13 UTC
Latest upstream release: 1.2.0
Current version in Fedora Rawhide: 1.1.9
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 23 Account closed by user 2011-10-24 12:15:58 UTC
Version 1.2.0, 2011/10/23

    Added QisdaMode for Qisda H21 (thanks to Chi-Hang Long for the code);
    dispatcher can now be installed with an embedded interpreter, so that
    Tcl is no longer required; added command line options for binary program
    to accept configuration data via stdin or as a long string parameter -
    this fixes the bug with non-writable temporary file during boot;
    reversed skipping of pre-switching delay, which has caused problems;
    fixed potential buffer overflow (thanks to Rafael Silva for the find);
    get first interface right even on some broken devices (thanks to
    Alexander Gordeev for the patch); increased post-switch delay before
    driver binding to avoid conflict with usb-storage

Comment 24 Huzaifa S. Sidhpurwala 2011-10-25 02:43:26 UTC
i will update today, sorry for the silence :)

Comment 25 Fedora Update System 2011-10-25 05:32:14 UTC
usb_modeswitch-data-20111023-1.fc15,usb_modeswitch-1.2.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/usb_modeswitch-data-20111023-1.fc15,usb_modeswitch-1.2.0-1.fc15

Comment 26 Fedora Update System 2011-10-25 05:36:23 UTC
usb_modeswitch-data-20111023-1.fc16,usb_modeswitch-1.2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/usb_modeswitch-data-20111023-1.fc16,usb_modeswitch-1.2.0-1.fc16

Comment 27 Fedora Update System 2011-10-25 21:43:30 UTC
Package usb_modeswitch-data-20111023-1.fc16, usb_modeswitch-1.2.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing usb_modeswitch-data-20111023-1.fc16 usb_modeswitch-1.2.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14918
then log in and leave karma (feedback).

Comment 28 Fedora Update System 2011-11-04 20:28:15 UTC
usb_modeswitch-data-20111023-1.fc15, usb_modeswitch-1.2.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2011-11-05 01:32:49 UTC
usb_modeswitch-data-20111023-1.fc16, usb_modeswitch-1.2.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.